.hero__container {    
    display: flex;
    flex-direction: column;    
    justify-content: space-between;
    padding: var(--spacing-16);
}

.hero__container__image {
    text-align: center;
}

.hero__container__image img {
    max-inline-size: 100%;
    block-size: auto;
    border-radius: 24px;
}
.hero__container__description{
    display: flex;
    flex-direction: column;    
    gap: var(--spacing-32);
}

.social{
    display: flex;
    justify-content: space-between;
}

.hero__container__description p{
    text-align: justify;    
    font-weight: 400;
    line-height: 2lh;
    
}
.title {
    font-size: clamp(1.5rem, 5vw, 2.2rem);
}

.subtitle{
    font-size: clamp(2rem, 5vw, 2.5rem);
}

.highlight{
    color: #FAD43C;
}


@media(min-width:768px) {   
    .hero__container {
        flex-direction: row-reverse;
        justify-content: space-between;
        gap: var(--spacing-16);
        
    }
    .hero__container__description{
        max-inline-size: 400px;
    }
    .hero__container__description p {
        font-size: clamp(18px, 5vw, 20px);
    }
    
    .social{
        justify-content: flex-start;
        gap: var(--spacing-32);
    }
   
}

@media(min-width:1200px){
    .hero__container__image img{
        inline-size: 500px;
        block-size: 504px;
    }
    .hero__container__description{
        max-inline-size: 500px;
        gap: var(--spacing-36);
        
    }
    
   
}